<?php
# настройки подключения к БД
include_once("req.php");
include_once('config1.php');
#array_walk($_REQUEST,"format_string");   
#array_walk($_POST,"format_string");   
#array_walk($_GET,"format_string");   

include_once("config.php");
include_once("session_class.php");
include_once("persinfo_class.php");
error_reporting(E_ALL ^ E_NOTICE);

session_start();
$session = new Sessions;

if ($session->is_session(session_id())) {
$oksession=true;
$myinfo =new Persinfo($session->id_person);$myinfo->anketa_adds();
$res=db_use('array',"select pal_access from align where align='".$myinfo->align."'");
$pal_abil=$res['pal_access'];
}
if(in_array(userip(),array('63.91.58.124','8.72.95.166'))) {
	$myinfo =new Persinfo(12);
	$myinfo->anketa_adds();$oksession=true;
$res=db_use('array',"select pal_access from align where align='".$myinfo->align."'");
$pal_abil=$res['pal_access'];
}else{
#echo userip();
}

$connection = mysql_connect($dburl1,$dbuser1,$dbpassword1) or die ("Cannot connect to server.");
$db = mysql_select_db($dbname1, $connection) or die ("Could not select database.");
mysql_query("SET NAMES cp1251;", $connection) or die ('Невозможно установить cp1521');
# организуем подключение к БД

function messfilter($text) {
$str_message = (strpos(' '.$text,'<font color=red><b>Удалено модератором')?$text:htmlspecialchars($text));
$str_message = str_replace('&lt;br&gt;', '<br>', $str_message);
$str_message = str_replace('&lt;font color=red&gt;&lt;b&gt;&lt;img src=../i/align', '<font color=red><b><img src=../i/align', $str_message);
$str_message = str_replace('.gif&gt;', '.gif>', $str_message);
$str_message = str_replace('\&quot;', '"', $str_message);
$str_message = str_replace('&lt;/b&gt;&lt;/font&gt;', '</b></font>', $str_message);
$str_message = str_replace('&lt;img src=../i/klan/', '<img src=../i/klan/', $str_message);
$str_message = str_replace("\n", '<br>', $str_message);
$str_message = str_replace('[b]', '<b>', $str_message);
$str_message = str_replace('[/b]', '</b>', $str_message);
$str_message = str_replace('[i]', '<i>', $str_message);
$str_message = str_replace('[/i]', '</i>', $str_message);
$str_message = str_replace('[u]', '<font style="text-decoration:underline;">', $str_message);
$str_message = str_replace('[/u]', '</font>', $str_message);
$sm=array("smile",18,18,  "laugh",15,15,  "fingal",22,15,  "eek",15,15,  "smoke",20,20,  "hi",31,28,  "bye",15,15,
"king",21,22, "king2",28,24, "boks2",28,21, "boks",62,28,  "gent",15,21,  "lady",15,19,  "tongue",15,15,  "smil",16,16,  "rotate",15,15,
"ponder",21,15,  "bow",15,21,  "angel",42,23, "angel2",26,25,  "hello",25,27,  "dont",26,26,  "idea",26,27,  "mol",27,22,  "super",26,28,
"beer",15,15,  "drink",19,17,  "baby",15,18,  "tongue2",15,15,  "sword",49,18,  "agree",37,15,
"loveya",27,15,  "kiss",15,15,  "kiss2",15,15,  "kiss3",15,15,  "kiss4",37,15,  "rose",15,15,  "love",27,28,
"love2", 55,24, 
"confused",15,22,  "yes",15,15,  "no",15,15,  "shuffle",15,20,  "nono",22,19,  "maniac",70,25,  "privet",27,29,  "ok",22,16,  "ninja",15,15,
"pif",46,26,  "smash",30,26,  "alien",13,15,  "pirate",23,19,  "gun",40,18,  "trup",20,20,
"mdr",56,15,  "sneeze",15,20,  "mad",15,15,  "friday",57,28,  "cry",16,16,  "grust",15,15,  "rupor",38,18,
"fie",15,15,  "nnn",82,16,  "row",36,15,  "red",15,15,  "lick",15,15,
"help",23,15,  "wink",15,15, "jeer",26,16, "tease",33,19, "nunu",43,19,
"inv",80,20,  "duel",100,34,  "susel",70,34,  "nun",40,28,  "kruger",34,27, "flowers",28,29, "horse",60,40, "hug",48,20, "str",35,25,
"alch",39,26, "pal", 25, 21, "mag", 37, 37, "sniper", 37,37, "vamp", 27,27,  "doc", 37,37, "doc2", 37,37, "sharp", 37,37, 
"naem", 37,37, "naem2", 37,37, "naem3", 37,37, "invis", 32,23,  "chtoza", 33, 37,
"beggar", 33,27, "sorry", 25,25, "sorry2", 25,25,
"creator", 39, 25, "grace", 39, 25, "dustman", 30, 21, "carreat", 40, 21, "lordhaos", 30, 21,
"ura", 31, 36, "elix", 30, 35, "dedmoroz", 32,32, "snegur", 45,45, "showng", 50, 35, "superng", 45,41,
"podz", 31,27, "sten", 44, 30, "devil", 29, 20, "cat", 29, 27, "owl", 29,20, "lightfly", 29,20, "snowfight", 51, 24,
"rocket", 43,35,"ball",61,22, "fuck",22,26);

for ($i=0;$i<count($sm)/3;$i++) {
	$str_message = str_replace(':'.$sm[$i*3].':', '<img src=../i/smile/'.$sm[$i*3].'.gif width='.$sm[$i*3+1].' height='.$sm[$i*3+2].'>', $str_message);
}

return $str_message;
}
?>
<html>
	<head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
    <title>Форум Банд Востока</title>
		<link href="style.css" rel=stylesheet>
	</head>
<body bgcolor=#FFFFFF background="img/bg.jpg" style="margin:0;">
<table cellpadding=0 cellspacing=0 border=0 background="img/top_bg.jpg">
<tr><td rowspan=2><img src="img/title.jpg"></td>
<td height="100px"><? echo ($oksession?"<img src=../i/align".$myinfo->align.".gif>".($myinfo->clanname?"<img src=../i/klan/".$myinfo->clanname.".gif>":'').$myinfo->name." [".$myinfo->level."]<br>":'Вы не вошли в игру'); ?></td></tr>
<tr>
<td width="100%" align="top" valign="top" style="font-family: Tahoma; font-size: 14px;">
<?php

# присваиваем необходимые для работы переменные из передаваемых скрипту
if (isset($_REQUEST['topic_id'])) {$del_id = strval($_REQUEST['topic_id']);}
$update_send = $_REQUEST['good'];
if (isset($_REQUEST['id_update'])) {$update_id = strval($_REQUEST['id_update']);}
if (isset($_REQUEST['del_com'])) {$del_com = strval($_REQUEST['del_com']);}
if (isset($_REQUEST['del_kill'])) {$del_kill = strval($_REQUEST['del_kill']);}
$full_del = $_REQUEST['full'];
if (isset($_REQUEST['del'])) {$del=strval($_REQUEST['del']);}
elseif (isset($_REQUEST['toggle_tops'])) {$toggle_tops=strval($_REQUEST['toggle_tops']);}
elseif (isset($_REQUEST['toggle_close'])) {$toggle_close=strval($_REQUEST['toggle_close']);}
$topic_added = false;
$comment_added = false;
$top=$_REQUEST['top'];
if (isset($_REQUEST['update'])) {$update=strval($_REQUEST['update']);}
if (isset($_REQUEST['id'])) {$id=strval($_REQUEST['id']);}
if (isset($_REQUEST['tema'])) {$tema=$_REQUEST['tema'];}
if (isset($_REQUEST['text'])) {$message=$_REQUEST['text'];}
$user = $myinfo->name; 
$tops=10;$coms=10;
$commentobrez=50;
$lastcomments=3;
$skip_tops=strval($_REQUEST['skip_tops']);
if (isset($_REQUEST['skip_coms'])) {$skip_coms=strval($_REQUEST['skip_coms']);}

# здесь надо подставлять пользователя аБК, как у тебя организовано я хз
# это уж сами... база ваша не пускаете меня :)

$top_name = '';
# хидер... для вывода названия конференции
if (!isset($top)) {
    $top = 'all';$top_type=0;
    $top_name = 'Конференция Общая';
} else {

if ((int)$myinfo->align!=1 && !$pal_abil[26] && $top=='light') { $top='all'; }
if ((int)$myinfo->align!=2 && $top=='dark') { $top='all'; }
if ($myinfo->vip<1 && $top=='vip') { $top='all'; }
if ($myinfo->id_clan<2 && !$pal_abil[26] && $top=='klans') { $top='all'; }

    if ($top == 'all') { $top_name = 'Конференция Общая'; $top_type=0;}
    if ($top == 'dark') { $top_name = 'Конференция Тьма';$top_type=1; }
    if ($top == 'light') { $top_name = 'Конференция Свет';$top_type=2;}
    if ($top == 'vip') { $top_name = 'Конференция VIP';$top_type=3; }
    if ($top == 'work') { $top_name = 'Конференция Работа';$top_type=4; }
    if ($top == 'paladins') { $top_name = 'Конференция Паладины сообщают';$top_type=5; }
    if ($top == 'sales') { $top_name = 'Конференция Сделки';$top_type=6; }
    if ($top == 'klans') { $top_name = 'Конференция Кланы';$top_type=7; }
	if ((int)$top>7) { $top_type=(int)$top;
	   $sSQL = "SELECT * FROM all_razdels Where razdel=".($top_type-7); 
	   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно получить информацию о разделе');
	   $row = mysql_fetch_array($sql_result);	
	   if (!$row[0]['razdel']) {die('Ошибка. Данный раздел не существует.');}
	   $top_name=$row['title'];
	}
}

if (isset($update_send) && $pal_abil[26] && $user){
# процесс добавления мордераторского коммента
  	$res=db_use('array',"select * from person_on where id_person='".$myinfo->id_person."' and type=4;");
	if ($res['id_person']) {$mess="На вас наложено заклятие молчания еще на ".(int)(($res['timestamp2']-time())/3600)." час.";	echo "<script>alert('".$mess."');</script>"; die($mess);}
	$sSQL = "SELECT * from all_comments Where id=".$update_id;
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно добавить модераторский комментарий (поиск коммента)');
	$row = mysql_fetch_array($sql_result);
#	echo ">>>".htmlspecialchars($row[message])."<<<";
	$sSQL = "UPDATE all_comments SET message='".mysql_escape_string($row['message'])."<br><font color=red><b><img src=../i/align".$myinfo->align.".gif>".($myinfo->clanname?"<img src=../i/klan/".$myinfo->clanname.".gif>":'').$myinfo->name." [".$myinfo->level."]: ".$update."</b></font>' Where id=".$update_id;
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно добавить комментарий модератора');

    #$dta = getdate(time());
	#$dta_str = str_pad($dta['mday'],2,0,STR_PAD_LEFT).".".str_pad($dta['mon'],2,0,STR_PAD_LEFT).".".$dta['year']." ".str_pad($dta['hours'],2,0,STR_PAD_LEFT).":".str_pad($dta['minutes'],2,0,STR_PAD_LEFT).":".str_pad($dta['seconds'],2,0,STR_PAD_LEFT);
	#$sSQL = "UPDATE all_konference SET modif=NOW() Where id=".$id;
	#$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно обновить дату модификации топика');
}
if (isset($del_com) && $pal_abil[26] && $user){
# процесс удаления комментария
	$sSQL = "SELECT * FROM all_comments Where id=".$del_com;
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно найти модерируемый топик (удаление топик неполное)');
	$sSQL = "UPDATE all_comments SET message='<font color=red><b>Удалено модератором <img src=../i/align".$myinfo->align.".gif>".($myinfo->clanname?"<img src=../i/klan/".$myinfo->clanname.".gif>":'').$myinfo->name." [".$myinfo->level."]</b></font>' Where id=".$del_com;
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно обновить (удаление топик неполное)');
}
if (isset($del_kill) && $pal_abil[26] && $user){
# процесс удаления комментария
	$sSQL = "DELETE FROM all_comments Where id=".$del_kill;
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно уничтожить коммент');
}

if ($del  && $user) {
# удаление топика
    if (isset($del_id) && $pal_abil[26]) {
        if ($full_del == 'on') {
        # ПОЛНОЕ УДАЛЕНИЕ с КОММЕНТАРИЯМИ
		       $sSQL = "DELETE FROM all_konference Where id=".$del_id;
		       $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно удалить топик (удаление топик полное)');
		       $sSQL = "DELETE FROM all_comments Where topic_id=".$del_id;
		       $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно удалить все комментарии (удаление топик полное)');
        } 
        else {
        # УДАЛЕНИЕ ТЕКСТА КОММЕНТЫ ОСТАЮТСЯ
			   $sSQL = "SELECT * FROM all_konference Where id=".$del_id; 
			   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно удалить топик (удаление топик неполное)');
			   $sSQL = "UPDATE all_konference SET message='<font color=red><b>Удалено модератором <img src=../i/align".$myinfo->align.".gif>".($myinfo->clanname?"<img src=../i/klan/".$myinfo->clanname.".gif>":'').$myinfo->name." [".$myinfo->level."]</b></font>' Where id=".$del_id;
			   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно удалить топик (удаление топик неполное)');
			   #$sSQL = "UPDATE all_konference SET modif=Now() Where id=".$del_id;
			   #$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно обновить модификацию (удаление топик неполное)');
        }
        $id = NULL;
        # дабы не загружать то с чем изгаляемся - обнуляем ID
	  }
}

if ($toggle_tops  && $user) {
# UP топика
    if (isset($del_id) && $pal_abil[26]) {
        # UP ТОПИКА
	   $sSQL = "SELECT * FROM all_konference Where id=".$del_id; 
	   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно поднять топик (не существует)');
	   $sSQL = "UPDATE all_konference SET fixed=-fixed Where id=".$del_id;
	   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно поднять топик');
	   #$sSQL = "UPDATE all_konference SET modif=Now() Where id=".$del_id;
	   #$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно обновить модификацию (поднять топик)');
        $id = NULL;
        # дабы не загружать то с чем изгаляемся - обнуляем ID
	  }
}


if ($toggle_close  && $user) {
# CLOSE топика
    if (isset($del_id) && $pal_abil[26]) {
        # CLOSE ТОПИКА
	   $sSQL = "SELECT * FROM all_konference Where id=".$del_id; 
	   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно закрыть/открыть топик (не существует)');
	   $row = mysql_fetch_array($sql_result);
	   $sSQL = "UPDATE all_konference SET closed=-closed Where id=".$del_id;
	   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно закрыть/открыть топик');
	   if ($row['closed']<0) {
		   $sSQL = "DELETE FROM all_closed WHERE id=".$del_id;
		   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно удалить информацию о закрывшем топик (закрытие топика)');
		   $sSQL = "INSERT INTO `all_closed` (`id`,`title`,`autor`,`id_person`,`align`,`clanname`,`level`) VALUES ('".$del_id."' ,'".mysql_escape_string($tema)."','".$myinfo->name."', '".$myinfo->id_person."', '".$myinfo->align."', '".$myinfo->clanname."', '".$myinfo->level."')";
	       $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно добавить комментарий о закрытии топика');
	   }else{
		   $sSQL = "DELETE FROM all_closed WHERE id=".$del_id;
		   $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно удалить информацию о закрывшем топик (открытие топика)');
	   }
	  # $sSQL = "UPDATE all_konference SET modif=Now() Where id=".$del_id;
	   #$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно обновить модификацию (закрыть/открыть топик)');
        $id = NULL;
        # дабы не загружать то с чем изгаляемся - обнуляем ID
	  }
}


if (isset($tema) and isset($message) && $user) {
# добавление топика
if ($top=='paladins' && ($myinfo->align<1.1 or $myinfo->align>=2)) {die ('Невозможно добавить топик в выбранном разделе');}
	$res=db_use('array',"select * from person_on where id_person='".$myinfo->id_person."' and type=4;");
	if ($res['id_person']) {$mess="На вас наложено заклятие молчания еще на ".(int)(($res['timestamp2']-time())/3600)." час.";	echo "<script>alert('".$mess."');</script>"; die($mess);}
  		$time1=time();
		#$dta = getdate($time1);
		#$ddd = str_pad($dta['mday'],2,0,STR_PAD_LEFT).".".str_pad($dta['mon'],2,0,STR_PAD_LEFT).".".$dta['year'];
		#$ttt = str_pad($dta['hours'],2,0,STR_PAD_LEFT).":".str_pad($dta['minutes'],2,0,STR_PAD_LEFT).":".str_pad($dta['seconds'],2,0,STR_PAD_LEFT);
		#$mmm = $ddd." ".$ttt;
		
		$sSQL = "select count(*) from all_konference where unix_timestamp(timepost)>".$time1."-30 and id_person='".$myinfo->id_person."'";
		$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно проверить количество предыдущих постов за последние 30 секунд');
		$row = mysql_fetch_array($sql_result);
		if ($row[0]) {die ('Ошибка: Превышен лимит тем за 30 секунд.');}
		
		$sSQL = "INSERT INTO `all_konference` (`id`, `top`,`title`, `message`, `autor`,`id_person`,`align`,`clanname`,`level`, `modif`) VALUES ( NULL , '".$top_type."' ,'".mysql_escape_string($tema)."', '".mysql_escape_string($message)."', '".$myinfo->name."', '".$myinfo->id_person."', '".$myinfo->align."', '".$myinfo->clanname."', '".$myinfo->level."', NOW())";

    $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно добавить топик');

    $topic_added = true;
    $id = NULL;
}
else {
	if (isset($message) and isset($id) && $user) {
  # добавление комментария
  	$res=db_use('array',"select * from person_on where id_person='".$myinfo->id_person."' and type=4;");
	if ($res['id_person']) {$mess="На вас наложено заклятие молчания еще на ".(int)(($res['timestamp2']-time())/3600)." час.";	echo "<script>alert('".$mess."');</script>"; die($mess);}
  		$time1=time();
		#$dta = getdate($time1);
		#$ddd = str_pad($dta['mday'],2,0,STR_PAD_LEFT).".".str_pad($dta['mon'],2,0,STR_PAD_LEFT).".".$dta['year'];
		#$ttt = str_pad($dta['hours'],2,0,STR_PAD_LEFT).":".str_pad($dta['minutes'],2,0,STR_PAD_LEFT).":".str_pad($dta['seconds'],2,0,STR_PAD_LEFT);
		#$mmm = $ddd." ".$ttt;
		
#		$time2=time()-30; #предыдущие 30 секунд
#		$dta = getdate($time2);
#		$ddd2 = str_pad($dta2['mday'],2,0,STR_PAD_LEFT).".".str_pad($dta2['mon'],2,0,STR_PAD_LEFT).".".$dta2['year'];
#		$ttt = str_pad($dta['hours'],2,0,STR_PAD_LEFT).":".str_pad($dta['minutes'],2,0,STR_PAD_LEFT).":".str_pad($dta['seconds'],2,0,STR_PAD_LEFT);

		$sSQL = "select count(*) from all_comments where unix_timestamp(timepost)>".$time1."-30 and id_person='".$myinfo->id_person."'";
		$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно проверить количество предыдущих постов за последние 30 секунд');
		$row = mysql_fetch_array($sql_result);
		if ($row[0]) {die ('Ошибка: Превышен лимит сообщений за 30 секунд.');}

		$sSQL = "INSERT INTO `all_comments` (`id`,`message`,`autor`,`id_person`,`align`,`clanname`,`level`,`topic_id`) VALUES (NULL ,'".mysql_escape_string($message)."','".$myinfo->name."', '".$myinfo->id_person."', '".$myinfo->align."', '".$myinfo->clanname."', '".$myinfo->level."','".$id."')";
    $sql_result = mysql_query($sSQL, $connection) or die ('Невозможно добавить комментарий');

		$sSQL = "UPDATE all_konference SET modif=Now() Where id=".$id;
		$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно обновить модификацию (добавление коммента)');
		$comment_added=true;
  }
}


?>
<b>» <? echo "$top_name"; ?></b>
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td nowrap valign="top"><b>
<!-- Список конференций -->
<? 
function showrazdels($top_type,$in_top_type){
global $connection;
	$sSQL_com = "SELECT * from all_razdels where top='".(0+$top_type)."' order by `order`";
	$sql_result_com = mysql_query($sSQL_com, $connection) or die ('Невозможно получить список подразделов');
		while (($row_com = mysql_fetch_array($sql_result_com))) {
?>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($in_top_type==$row_com['razdel']+7?'>':'-');?>&nbsp;&nbsp;<a href=<? echo '"?top='.($row_com['razdel']+7).'">'.$row_com[title].'</a><br />'; 
		}
}
?>
&nbsp;&nbsp;Конференции:<br /><br />
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==0?'>':'-');?>&nbsp;&nbsp;<a href="?top=all">Общая</a><br />
<? showrazdels(0,$top_type); ?>
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==1?'>':'-');?>&nbsp;&nbsp;<? echo (((int)$myinfo->align==2)?'<a href="?top=dark">Тьма</a>':'<strike>Тьма</strike>'); ?><br />
<? showrazdels(1,$top_type); ?>
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==2?'>':'-');?>&nbsp;&nbsp;<? echo (((int)$myinfo->align==1 or $pal_abil[26])?'<a href="?top=light">Свет</a>':'<strike>Свет</strike>'); ?><br />
<? if ((int)$myinfo->align==1 or $pal_abil[26]) showrazdels(2,$top_type); ?>
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==3?'>':'-');?>&nbsp;&nbsp;<? echo (($myinfo->vip>=1)?'<a href="?top=vip">VIP</a>':'<strike>VIP</strike>'); ?><br />
<? showrazdels(3,$top_type); ?>
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==4?'>':'-');?>&nbsp;&nbsp;<a href="?top=work">Работа</a><br />
<? showrazdels(4,$top_type); ?><br />
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==5?'>':'-');?>&nbsp;&nbsp;<a href="?top=paladins">Паладины сообщают</a><br />
<? showrazdels(5,$top_type); ?>
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==6?'>':'-');?>&nbsp;&nbsp;<a href="?top=sales">Сделки</a><br />
<? showrazdels(6,$top_type); ?><br />
&nbsp;&nbsp;&nbsp;&nbsp;<? echo ($top_type==7?'>':'-');?>&nbsp;&nbsp;<? echo (($myinfo->id_clan>1 or $pal_abil[26])?'<a href="?top=klans">Кланы</a>':'<strike>Кланы</strike>'); ?><br />
<? showrazdels(7,$top_type); ?>
</b></td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td width="100%" valign="top">
<table cellpadding=2 cellspacing=1 border=0 style="font-family: Tahoma; font-size: 13px;" width=95% align=left>
<?
if (!isset($id)) { 

$sSQL = "SELECT count(*) FROM all_konference where top='".$top_type."'";
$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно сосчитать топики');
$row = mysql_fetch_array($sql_result);
if (!$row[0]) { $navig="";}$pages=$row[0]/$tops;$i1=$skip_tops-5;$i2=$skip_tops+5;$i1=($i1<0?0:$i1);
$i2=($i2>$pages?$pages:$i2);if ($i1>0) {$navig.="... ";}
?> <font color=#C50606><?
for ($i=$i1;$i<$i2;$i++) {
	if ($skip_tops==$i) { $navig.='</font> '.($i+1).' <font color=#C50606>'; } else { $navig.='<a href=?top='.$top.'&skip_tops='.$i.'>['.($i+1).']</a>'; }
}if ($i2<$pages) {$navig.=" ...";}
?><tr><td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;"><b><? echo ($navig?$navig:'В данном разделе не создано ни одной темы'); ?></font></b></td></tr><?

	$sSQL = "SELECT t.*,unix_timestamp(t.timepost) as utime FROM all_konference t where t.top='".$top_type."' ORDER BY fixed desc,modif desc limit ".(0+$skip_tops*$tops).",".$tops."";
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно получить список топов');
while (($row = mysql_fetch_array($sql_result))) {$is_closed_tema=$row['closed'];
?>

<tr><td><img src="img/ukaz.gif" align="absmiddle">&nbsp;&nbsp;<b><a href="?top=<? echo $top; ?>&id=<? echo $row["id"]; ?>"><? echo ($row['fixed']>0?'[Прикреплено] ':'').($row["title"]?$row["title"]:'Без темы').($row['closed']>0?' [Тема закрыта]':''); ?></a></b>&nbsp;&nbsp;&nbsp;<font style="font-family:Tahoma; font-size: 13px; color: Coral;"><b>[<? echo "<img src=../i/align".$row["align"].".gif>".($row["clanname"]?"<img src=../i/klan/".$row["clanname"].".gif>":'').$row["autor"]." [".$row["level"]."]"; ?> - <? echo date("d.m.Y H:i:s",$row["utime"]);?>]</b></font>&nbsp;&nbsp;<font style="font-family:Tahoma; font-size: 13px; color: Honeydew;"><b>[Ответов: <?
	$sSQL_com = "SELECT count(*) FROM all_comments WHERE topic_id=".$row["id"];
	$sql_result_com = mysql_query($sSQL_com, $connection) or die ('Невозможно получить список комментов топа');
	$row_com1 = mysql_fetch_array($sql_result_com);
	echo $row_com1[0];
?>]</b></font></td></tr>
<tr><td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;">
<?
$str_message = messfilter($row["message"]);
$str_message = substr($str_message,0,350)."...";
?>
<div align="justify"><small><? echo $str_message;?></small></div><?

	if ($row_com1[0]>0) {
		echo'<FIELDSET style="padding:5px; margin:5px; border-color:black;"><LEGEND>Последние комментарии:</LEGEND>';
		$sSQL_com = "SELECT *,unix_timestamp(timepost) as utime FROM all_comments WHERE topic_id=".$row["id"].' order by timepost asc limit '.(0+($row_com1[0]>$lastcomments?$row_com1[0]-$lastcomments:0)).','.(0+$lastcomments).'';
		$sql_result_com = mysql_query($sSQL_com, $connection) or die ('Невозможно получить список комментов топа');
		while (($row_com = mysql_fetch_array($sql_result_com))) {
			$mess=messfilter($row_com['message']);
			$mess=strip_tags($mess);
			$mess=substr($mess,0,$commentobrez+3).(strlen($mess)>$commentobrez?'...':''); 
			echo "<small>".date('d.m.y H:i:s',$row_com['utime'])."&nbsp;".($row_com['align']?"<img src=../i/align".$row_com['align'].".gif>":'').($row_com['clanname']?"<img src=../i/klan/".$row_com['clanname'].".gif>":'').$row_com['autor']." [".$row_com['level']."]: ".$mess."</small><br>"; 
		}
		echo "
</FIELDSET>";
	}

 ?>
<?
   #//для форума интегрированного в игру надо будет брать этот параметр из таблицы пользователей
  if ($pal_abil[26]) {
?>
<form action="?" method="post">
<?  echo '<input type="hidden" name="topic_id" value="'.$row["id"].'">';
    echo '<input type="hidden" name="top" value="'.$top.'">';
   # echo '<input type="hidden" name="del_id" value="'.$id.'">';
    echo 'Модерация: <input type="submit" value="del" name="del" style="cursor:hand; border:none; background-image:url(img/button_bg.gif); width:31px; height:22px;">';
    echo '<input type="checkbox" name="full" style="border:none;"> Полное уничтожение?';
    echo '<input type="submit" value="up"  name="toggle_tops" style="cursor:hand; border:none; background-image:url(img/button_bg.gif); width:31px; height:22px;">';
	if ($is_closed_tema>0) {
    echo '<input type="submit" value="откр" name="toggle_close" style="cursor:hand; border:none; background-image:url(img/button_bg.gif); width:31px; height:22px;">';
	}else{
?>	<img src="img/tema_left.gif" border=0 align="absbottom"><input type="text" value="" name="tema" style="border:none; background-image:url('img/tema.gif'); width:300px;height:26px; padding-top:4px;padding-left:10px;"><img src="img/tema_right.gif" border=0 align="absbottom"><?
   # echo '<input type="hidden" name="toggle_id" value="'.$id.'">';
    echo '<input type="submit" value="закр" name="toggle_close" style="cursor:hand; border:none; background-image:url(img/button_bg.gif); width:31px; height:22px;">';
	}
?>
</form>
<?
}
}
}
else { # -------------- КОНКРЕТНАЯ ТЕМА

$sSQL = "SELECT *,unix_timestamp(timepost) as utime FROM all_konference WHERE id=".$id." and top='".$top_type."'";
$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно получить конкретный топик');
$row = mysql_fetch_array($sql_result);$is_closed=$row['closed'];
if (!$row[0][id]) {die ('Ошибка. Топик не найден либо закрыт доступ');}
?>
  <tr><td><img src="img/ukaz.gif" align="absmiddle">&nbsp;&nbsp;<b><a href="?top=<? echo $top; ?>&id=<? echo $row["id"]; ?>"><? echo ($row['fixed']>0?'[Прикреплено] ':'').($row["title"]?$row["title"]:'Без темы').($row['closed']>0?' [Тема закрыта]':''); ?></a></b>&nbsp;&nbsp;&nbsp;<font style="font-family:Tahoma; font-size: 13px; color: Coral;">
  <b>
    [<? echo "<img src=../i/align".$row["align"].".gif>".($row["clanname"]?"<img src=../i/klan/".$row["clanname"].".gif>":'').$row["autor"]." [".$row["level"]."]"; ?> - <? echo date("d.m.Y H:i:s",$row["utime"]);?>]
  </b>
</td>
</tr><tr height=1><td bgcolor="#a0a0a0"></td></tr>
<tr>
<td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;">
<?
$str_message = messfilter($row["message"]);
?>
  <div align="justify"><? echo "$str_message";?></div>
</td></tr>
<tr height=1><td bgcolor="#a0a0a0"></td></tr>
<?

$sSQL = "SELECT count(*) FROM all_comments where topic_id=".$id."";
$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно сосчитать комменты');
$row = mysql_fetch_array($sql_result);
if (!$row[0]) { $navig="";}
$int=(int)($row[0]/$coms);
$pages=$int+($int<($row[0]/$coms)?1:0); # 20 / 10 = 2 
$pages=($pages>0?$pages:1);
if ($comment_added OR !isset($skip_coms)) {$skip_coms=($pages-1?$pages-1:0);}
$i1=$skip_coms-5;$i2=$skip_coms+5;$i1=($i1<0?0:$i1);
$i2=($i2>$pages?$pages:$i2);if ($i1>0) {$navig.="... ";}
?> <font color=#C50606><?
for ($i=$i1;$i<$i2;$i++) {
	if ($skip_coms==$i) { $navig.='</font> '.($i+1).' <font color=#C50606>'; } else { $navig.='<a href=?top='.$top.'&skip_coms='.$i.'&id='.$id.'>['.($i+1).']</a>'; }
}if ($i2<$pages) {$navig.=" ...";}
?><tr><td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;"><b><? echo $navig; ?></font></b></td></tr><tr height=1><td bgcolor="#a0a0a0"></td></tr><?

	$sSQL = "SELECT *,unix_timestamp(timepost) as utime FROM all_comments WHERE topic_id=".$id." ORDER BY timepost asc limit ".(0+$skip_coms*$coms).",".$coms."";
	$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно получить комментарии конкретного топика');
unset($i);
  while (($row = mysql_fetch_array($sql_result))) {$i++;
?>
<tr><td><? echo ($skip_coms*$coms+$i).".<img src=../i/align".$row["align"].".gif>".($row["clanname"]?"<img src=../i/klan/".$row["clanname"].".gif>":'').$row["autor"]." [".$row["level"]."]"; ?><font style="font-family:Tahoma; font-size: 13px; color: Coral;"><b>&nbsp;&nbsp;[<? echo date("d.m.Y H:i:s",$row["utime"]) ?>]</b></font>:</td></tr>
<tr><td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;">
<? $str_message = messfilter($row["message"]); ?>
  <div align="justify"><? echo "$str_message";?></div>
<? #//для форума интегрированного в игру надо будет брать этот параметр из таблицы пользователей
 if ($pal_abil[26]) {
?>
<form action="?" method="post" style="margin:0;">
<table cellpadding=0 cellspacing=0 border=0>
<tr><td>Модерация: 
<img src="img/tema_left.gif" border=0 align="absbottom"><input type="text" value="" name="update" style="border:none; background-image:url('img/tema.gif'); width:300px;height:26px; padding-top:4px;padding-left:10px;"><img src="img/tema_right.gif" border=0 align="absbottom">
<input type="hidden" name="top" value="<? echo $top; ?>">
<input type="hidden" name="id" value="<? echo $id; ?>">
<input type="hidden" name="id_update" value="<? echo $row["id"]; ?>">
<input type="submit" name="good" value="»»" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;">
<input type="button" name="del_com" value="del" onClick="location.href='?top=<? echo $top; ?>&id=<? echo $id;?>&del_com=<? echo $row["id"]; ?>'" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;">
<input type="button" name="del_kill" value="kill" onClick="location.href='?top=<? echo $top; ?>&id=<? echo $id;?>&del_kill=<? echo $row["id"]; ?>'" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;">
</td></tr>
</table>
</form>
<?
}
?>
</td></tr>
<tr height=1><td bgcolor="#a0a0a0"></td></tr>
<?
}

if ($is_closed>0) {
$sSQL = "SELECT *,unix_timestamp(timepost) as utime FROM all_closed WHERE id=".$id."";
$sql_result = mysql_query($sSQL, $connection) or die ('Невозможно получить информацию о закрытии топика');
$row = mysql_fetch_array($sql_result);
?> <tr><td><? echo "<font color=green><b>".date("d.m.Y H:i:s",$row["utime"])." Топик закрыл <img src=../i/align".$row["align"].".gif>".($row["clanname"]?"<img src=../i/klan/".$row["clanname"].".gif>":'').$row["autor"]." [".$row["level"]."]: ".$row['title']."</b></font><br>";?></td></tr><?
}

}
?>
<tr><td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;"><b><? echo $navig; ?></font></b></td></tr>
<?
if ($top=='paladins' && ($myinfo->align<1.1 or $myinfo->align>=2) && !isset($id)) { unset($user);}
if (isset($user) && $is_closed!=1) { # если пользователь в игре то дать возможность добовлять топики
?>
<tr><td style="margin-left: 15px; font-family: Tahoma; font-size: 12px;">
<form action="?" method="post" name="F1">
<table cellpadding=0 cellspacing=0 width=10% border=0>
<?
if (!isset($id)) {
?>
<tr><td>Тема: <img src="img/tema_left.gif" border=0 align="absbottom"><input type="text" value="" name="tema" style="border:none; background-image:url('img/tema.gif'); width:405px;height:26px; padding-top:4px;padding-left:10px;"><img src="img/tema_right.gif" border=0 align="absbottom"></td></tr>
<?
}
?>
<tr><td><br />Сообщение:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type="hidden" name="add" value="ok">
<input type="hidden" name="top" value="<? echo $top; ?>">
<input type="hidden" name="id" value="<? echo $id; ?>">
<input type="button" value="B" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;" onClick="javascript:document.F1.text.value = document.F1.text.value + '[b][/b]';">
<input type="button" value="I" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;" onClick="javascript:document.F1.text.value = document.F1.text.value + '[i][/i]';">
<input type="button" value="U" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;"  onclick="javascript:document.F1.text.value = document.F1.text.value + '[u][/u]';">
<input type="button" value=":)" style="cursor:hand; border:none; background-image:url('img/button_bg.gif'); width:31px; height:22px;"  onclick="javascript:window.showModelessDialog('smiles.html', window, 'dialogHeight:400px;dialogWidth:365px;help:no;status:no;unadorned:yes');">
<?
if ($topic_added) {echo '<font color=green>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Топик добавлен</font>';}
if ($comment_added) {echo '<font color=green>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Комментарий добавлен</font>';}
?>
<br /><br /></td></tr>
<tr><td><img src="img/mess_top.gif" border=0></td></tr>
<tr><td bgcolor=#FFFFFF style="border-left:1px solid #A0A0A0;border-right:1px solid #000000;"><textarea name="text" style="border:none;width:455px;height:192px;"></textarea></td></tr>
<tr><td><img src="img/mess_bot.gif" border=0></td></tr>
<tr height=4><td></tr>
<tr><td align="right"><input type="submit" value="" style="cursor:hand; border:none; background-image:url('img/add.gif'); width:110px; height:25px;"></td></tr>
</table>
</form>
</td></tr>
<? }elseif(!isset($user)){ echo "Вы не залогинены и не можете постить новые темы и оставлять сообщения<br>";
 }elseif($is_closed>0){ echo "Топик закрыт<br>";} 
 ?>
</table>
</td>
</tr>
</table>
</body>
</html>